import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class ShowMessageDialog{
  JButton button;
  public static void main(String[] args){
    ShowMessageDialog md = new ShowMessageDialog();
  }

  public ShowMessageDialog(){
    JFrame frame = new JFrame("Message Dialog Box");
    button = new JButton("Simple message dialog box");
    button.addActionListener(new MyAction());
    JPanel panel = new JPanel();
    panel.add(button);
    button = new JButton("\"Ok/Cancel\" message dialog box");
    button.addActionListener(new MyAction());
    panel.add(button);
    button = new JButton("\"Yes/No/Cancel\" dialog box");
    button.addActionListener(new MyAction());
    panel.add(button);
    frame.add(panel);
    frame.setSize(300, 300);
    frame.setVisible(true);
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
  }

  public class MyAction implements ActionListener{
    public void actionPerformed(ActionEvent ae){
      String str = ae.getActionCommand();
      if(str.equals("Simple message dialog box")){
        JOptionPane.showMessageDialog(null, "Simple message dialog box.", "javajazzup", 1);
      }
      else if(str.equals("\"Ok/Cancel\" message dialog box")){
        if(JOptionPane.showConfirmDialog(null, "\"Ok/Cancel\" message dialog box.", "javajazzup", JOptionPane.OK_CANCEL_OPTION) == 0)
          JOptionPane.showMessageDialog(null, "You clicked on \"Ok\" button", "javajazzup", 1);
        else
          JOptionPane.showMessageDialog(null, "You clicked on \"Cancel\" button", "javajazzup", 1);
      }  
      else if(str.equals("\"Yes/No/Cancel\" dialog box")){
        JOptionPane.showConfirmDialog(null, "\"Yes/No/Cancel\" message dialog box.");
      }
    }
  }
}